package com.crm.globex.service;

import com.crm.rely.backend.core.entity.manager.callback.AccountUpdateCallbackEntity;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.entity.custom.login.firm.offer.CustomLoginFirmOfferAddEntity;
import com.crm.rely.backend.model.pojo.table.CustomLoginFirmOfferTable;

/**
 * @description:
 * @author: houn
 * @create: 2020-07-31 23:03
 **/
public interface CustomLoginFirmOfferService {

    void add(CustomLoginFirmOfferAddEntity entity) throws ServiceException;

    boolean existByCustomIdAndLogin(Long customId, Long login) throws ServiceException;

    CustomLoginFirmOfferTable getByCustomIdAndLogin(Long customId, Long login) throws ServiceException;

    void scheduleAutomaticLogin() throws ServiceException;

    void callbackAutomaticAccount(AccountUpdateCallbackEntity callbackEntity) throws ServiceException;
}
